Package com.sap.ai.sdk.orchestration.model

# Class LLMModuleResultStreaming

java.lang.Object
com.sap.ai.sdk.orchestration.model.LLMModuleResultStreaming

public class LLMModuleResultStreaming extends Object
Output of LLM module. Follows the OpenAI spec.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `LLMModuleResultStreaming.Builder`
  Builder helper class.
  `static interface`
  `LLMModuleResultStreaming.Builder1`
  Builder helper class.
  `static interface`
  `LLMModuleResultStreaming.Builder2`
  Builder helper class.
  `static interface`
  `LLMModuleResultStreaming.Builder3`
  Builder helper class.
  `static interface`
  `LLMModuleResultStreaming.Builder4`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `LLMModuleResultStreaming()`
  Default constructor for LLMModuleResultStreaming.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LLMModuleResultStreaming`
  `_object(String _object)`
  Set the _object of this `LLMModuleResultStreaming` instance and return the same instance.
  `LLMModuleResultStreaming`
  `addChoicesItem(LLMChoiceStreaming choicesItem)`
  Add one choices instance to this `LLMModuleResultStreaming`.
  `LLMModuleResultStreaming`
  `addCitationsItem(Citation citationsItem)`
  Add one citations instance to this `LLMModuleResultStreaming`.
  `LLMModuleResultStreaming`
  `choices(List<LLMChoiceStreaming> choices)`
  Set the choices of this `LLMModuleResultStreaming` instance and return the same instance.
  `LLMModuleResultStreaming`
  `citations(List<Citation> citations)`
  Set the citations of this `LLMModuleResultStreaming` instance and return the same instance.
  `static LLMModuleResultStreaming.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `LLMModuleResultStreaming` instance with all required arguments.
  `LLMModuleResultStreaming`
  `created(Integer created)`
  Set the created of this `LLMModuleResultStreaming` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `List<LLMChoiceStreaming>`
  `getChoices()`
  Choices
  `List<Citation>`
  `getCitations()`
  List of citations associated with the response.
  `Integer`
  `getCreated()`
  Unix timestamp
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `LLMModuleResultStreaming`.
  `String`
  `getId()`
  ID of the response
  `String`
  `getModel()`
  Model name
  `String`
  `getObject()`
  Object type
  `String`
  `getSystemFingerprint()`
  System fingerprint
  `TokenUsage`
  `getUsage()`
  Get usage
  `int`
  `hashCode()`
  `LLMModuleResultStreaming`
  `id(String id)`
  Set the id of this `LLMModuleResultStreaming` instance and return the same instance.
  `LLMModuleResultStreaming`
  `model(String model)`
  Set the model of this `LLMModuleResultStreaming` instance and return the same instance.
  `void`
  `setChoices(List<LLMChoiceStreaming> choices)`
  Set the choices of this `LLMModuleResultStreaming` instance.
  `void`
  `setCitations(List<Citation> citations)`
  Set the citations of this `LLMModuleResultStreaming` instance.
  `void`
  `setCreated(Integer created)`
  Set the created of this `LLMModuleResultStreaming` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `LLMModuleResultStreaming` instance.
  `void`
  `setId(String id)`
  Set the id of this `LLMModuleResultStreaming` instance.
  `void`
  `setModel(String model)`
  Set the model of this `LLMModuleResultStreaming` instance.
  `void`
  `setObject(String _object)`
  Set the _object of this `LLMModuleResultStreaming` instance.
  `void`
  `setSystemFingerprint(String systemFingerprint)`
  Set the systemFingerprint of this `LLMModuleResultStreaming` instance.
  `void`
  `setUsage(TokenUsage usage)`
  Set the usage of this `LLMModuleResultStreaming` instance.
  `LLMModuleResultStreaming`
  `systemFingerprint(String systemFingerprint)`
  Set the systemFingerprint of this `LLMModuleResultStreaming` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `LLMModuleResultStreaming` instance including unrecognized properties.
  `String`
  `toString()`
  `LLMModuleResultStreaming`
  `usage(TokenUsage usage)`
  Set the usage of this `LLMModuleResultStreaming` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LLMModuleResultStreaming

    protected LLMModuleResultStreaming()
    Default constructor for LLMModuleResultStreaming.

- ## Method Details

  - ### id

    @Nonnull public LLMModuleResultStreaming id(@Nonnull String id)
    Set the id of this `LLMModuleResultStreaming` instance and return the same instance.
    Parameters:
      `id` - ID of the response
    Returns:
      The same instance of this `LLMModuleResultStreaming` class

  - ### getId

    @Nonnull public String getId()
    ID of the response
    Returns:
      id The id of this `LLMModuleResultStreaming` instance.

  - ### setId

    public void setId(@Nonnull String id)
    Set the id of this `LLMModuleResultStreaming` instance.
    Parameters:
      `id` - ID of the response

  - ### _object

    @Nonnull public LLMModuleResultStreaming _object(@Nonnull String _object)
    Set the _object of this `LLMModuleResultStreaming` instance and return the same instance.
    Parameters:
      `_object` - Object type
    Returns:
      The same instance of this `LLMModuleResultStreaming` class

  - ### getObject

    @Nonnull public String getObject()
    Object type
    Returns:
      _object The _object of this `LLMModuleResultStreaming` instance.

  - ### setObject

    public void setObject(@Nonnull String _object)
    Set the _object of this `LLMModuleResultStreaming` instance.
    Parameters:
      `_object` - Object type

  - ### created

    @Nonnull public LLMModuleResultStreaming created(@Nonnull Integer created)
    Set the created of this `LLMModuleResultStreaming` instance and return the same instance.
    Parameters:
      `created` - Unix timestamp
    Returns:
      The same instance of this `LLMModuleResultStreaming` class

  - ### getCreated

    @Nonnull public Integer getCreated()
    Unix timestamp
    Returns:
      created The created of this `LLMModuleResultStreaming` instance.

  - ### setCreated

    public void setCreated(@Nonnull Integer created)
    Set the created of this `LLMModuleResultStreaming` instance.
    Parameters:
      `created` - Unix timestamp

  - ### model

    @Nonnull public LLMModuleResultStreaming model(@Nonnull String model)
    Set the model of this `LLMModuleResultStreaming` instance and return the same instance.
    Parameters:
      `model` - Model name
    Returns:
      The same instance of this `LLMModuleResultStreaming` class

  - ### getModel

    @Nonnull public String getModel()
    Model name
    Returns:
      model The model of this `LLMModuleResultStreaming` instance.

  - ### setModel

    public void setModel(@Nonnull String model)
    Set the model of this `LLMModuleResultStreaming` instance.
    Parameters:
      `model` - Model name

  - ### systemFingerprint

    @Nonnull public LLMModuleResultStreaming systemFingerprint(@Nullable String systemFingerprint)
    Set the systemFingerprint of this `LLMModuleResultStreaming` instance and return the same instance.
    Parameters:
      `systemFingerprint` - System fingerprint
    Returns:
      The same instance of this `LLMModuleResultStreaming` class

  - ### getSystemFingerprint

    @Nonnull public String getSystemFingerprint()
    System fingerprint
    Returns:
      systemFingerprint The systemFingerprint of this `LLMModuleResultStreaming` instance.

  - ### setSystemFingerprint

    public void setSystemFingerprint(@Nullable String systemFingerprint)
    Set the systemFingerprint of this `LLMModuleResultStreaming` instance.
    Parameters:
      `systemFingerprint` - System fingerprint

  - ### choices

    @Nonnull public LLMModuleResultStreaming choices(@Nonnull List<LLMChoiceStreaming> choices)
    Set the choices of this `LLMModuleResultStreaming` instance and return the same instance.
    Parameters:
      `choices` - Choices
    Returns:
      The same instance of this `LLMModuleResultStreaming` class

  - ### addChoicesItem

    @Nonnull public LLMModuleResultStreaming addChoicesItem(@Nonnull LLMChoiceStreaming choicesItem)
    Add one choices instance to this `LLMModuleResultStreaming`.
    Parameters:
      `choicesItem` - The choices that should be added
    Returns:
      The same instance of type `LLMModuleResultStreaming`

  - ### getChoices

    @Nonnull public List<LLMChoiceStreaming> getChoices()
    Choices
    Returns:
      choices The choices of this `LLMModuleResultStreaming` instance.

  - ### setChoices

    public void setChoices(@Nonnull List<LLMChoiceStreaming> choices)
    Set the choices of this `LLMModuleResultStreaming` instance.
    Parameters:
      `choices` - Choices

  - ### usage

    @Nonnull public LLMModuleResultStreaming usage(@Nullable TokenUsage usage)
    Set the usage of this `LLMModuleResultStreaming` instance and return the same instance.
    Parameters:
      `usage` - The usage of this `LLMModuleResultStreaming`
    Returns:
      The same instance of this `LLMModuleResultStreaming` class

  - ### getUsage

    @Nonnull public TokenUsage getUsage()
    Get usage
    Returns:
      usage The usage of this `LLMModuleResultStreaming` instance.

  - ### setUsage

    public void setUsage(@Nullable TokenUsage usage)
    Set the usage of this `LLMModuleResultStreaming` instance.
    Parameters:
      `usage` - The usage of this `LLMModuleResultStreaming`

  - ### citations

    @Nonnull public LLMModuleResultStreaming citations(@Nullable List<Citation> citations)
    Set the citations of this `LLMModuleResultStreaming` instance and return the same instance.
    Parameters:
      `citations` - List of citations associated with the response.
    Returns:
      The same instance of this `LLMModuleResultStreaming` class

  - ### addCitationsItem

    @Nonnull public LLMModuleResultStreaming addCitationsItem(@Nonnull Citation citationsItem)
    Add one citations instance to this `LLMModuleResultStreaming`.
    Parameters:
      `citationsItem` - The citations that should be added
    Returns:
      The same instance of type `LLMModuleResultStreaming`

  - ### getCitations

    @Nonnull public List<Citation> getCitations()
    List of citations associated with the response.
    Returns:
      citations The citations of this `LLMModuleResultStreaming` instance.

  - ### setCitations

    public void setCitations(@Nullable List<Citation> citations)
    Set the citations of this `LLMModuleResultStreaming` instance.
    Parameters:
      `citations` - List of citations associated with the response.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `LLMModuleResultStreaming`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `LLMModuleResultStreaming` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `LLMModuleResultStreaming` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `LLMModuleResultStreaming` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static LLMModuleResultStreaming.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `LLMModuleResultStreaming` instance with all required arguments.